// 以下是业务服务器API地址 
//  var WxApiRoot = 'http://127.0.0.1:8081/wx/';  
// uat环境使用
//  var WxApiRoot = 'https://uat.jzmall.lifejingzhi.com/wx/'; 
 
//新版，宅洁士  
var WxApiRoot='https://mall.zhaijieshi.cc/wx/'; 
   
   
module.exports = {
  IndexUrl: WxApiRoot + 'home/index', //首页数据接口
  AboutUrl: WxApiRoot + 'home/about', //介绍信息
  
  CatalogList: WxApiRoot + 'catalog/index', //分类目录全部分类数据接口
  CatalogCurrent: WxApiRoot + 'catalog/current', //分类目录当前分类数据接口

  AuthLoginByWeixin: WxApiRoot + 'auth/login_by_weixin', //微信登录--并注册 
  AuthLogout: WxApiRoot + 'auth/logout', //账号登出
  AuthRegister: WxApiRoot + 'auth/register', //账号注册
  AuthReset: WxApiRoot + 'auth/reset', //账号密码重置 
  AuthBindPhone: WxApiRoot + 'auth/bindPhone', //绑定微信手机号
  AuthDenPhone: WxApiRoot + 'auth/denPhone', //微信手机号解密
  AuthCert:WxApiRoot + 'auth/certification',//实名认证
  AuthIsCert:WxApiRoot + 'auth/iscertification',//是否实名认证
	AuthInfo:WxApiRoot + 'auth/info',//拿手机
	
  GoodsCount: WxApiRoot + 'goods/count', //统计商品总数
  GoodsList: WxApiRoot + 'goods/list', //获得商品列表
  GoodsList_a2: WxApiRoot + 'goods/list_a2', //获得商品列表
  GoodsCategory: WxApiRoot + 'goods/category', //获得分类数据
  GoodsDetail: WxApiRoot + 'goods/detail', //获得商品的详情
  GoodsRelated: WxApiRoot + 'goods/related', //商品详情页的关联商品（大家都在看） 
  GoodsL1Category:WxApiRoot+'goods/categoryGoods',//类目下所有商品
  GoodsCoupon:WxApiRoot+'goods/couponGoods',//返回优惠券绑定的商品

  BrandList: WxApiRoot + 'brand/list', //品牌列表
  BrandDetail: WxApiRoot + 'brand/detail', //品牌详情

  CartList: WxApiRoot + 'cart/index', //获取购物车的数据
  CartAdd: WxApiRoot + 'cart/add', // 添加商品到购物车
  CartFastAdd: WxApiRoot + 'cart/fastadd', // 立即购买商品
  CartUpdate: WxApiRoot + 'cart/update', // 更新购物车的商品
  CartDelete: WxApiRoot + 'cart/delete', // 删除购物车的商品
  CartChecked: WxApiRoot + 'cart/checked', // 选择或取消选择商品
  CartGoodsCount: WxApiRoot + 'cart/goodscount', // 获取购物车商品件数
  CartCheckout: WxApiRoot + 'cart/checkout', // 下单前信息确认

  CollectList: WxApiRoot + 'collect/list', //收藏列表
  CollectAddOrDelete: WxApiRoot + 'collect/addordelete', //添加或取消收藏

  CommentList: WxApiRoot + 'comment/list', //评论列表
  CommentCount: WxApiRoot + 'comment/count', //评论总数
  CommentPost: WxApiRoot + 'comment/post', //发表评论

  TopicList: WxApiRoot + 'topic/list', //专题列表
  TopicDetail: WxApiRoot + 'topic/detail', //专题详情
  TopicRelated: WxApiRoot + 'topic/related', //相关专题

  SearchIndex: WxApiRoot + 'search/index', //搜索关键字
  SearchResult: WxApiRoot + 'search/result', //搜索结果
  SearchHelper: WxApiRoot + 'search/helper', //搜索帮助
  SearchClearHistory: WxApiRoot + 'search/clearhistory', //搜索历史清楚

  AddressList: WxApiRoot + 'address/list', //收货地址列表
  AddressDetail: WxApiRoot + 'address/detail', //收货地址详情
  AddressSave: WxApiRoot + 'address/save', //保存收货地址
  AddressDelete: WxApiRoot + 'address/delete', //保存收货地址

  ExpressQuery: WxApiRoot + 'express/query', //物流查询

  RegionList: WxApiRoot + 'region/list', //获取区域列表

  OrderSubmit: WxApiRoot + 'order/submit', // 提交订单
  OrderPrepay: WxApiRoot + 'order/prepay', // 订单的预支付会话
  OrderList: WxApiRoot + 'order/list', //订单列表
  OrderDetail: WxApiRoot + 'order/detail', //订单详情
  OrderCancel: WxApiRoot + 'order/cancel', //取消订单
  OrderRefund: WxApiRoot + 'order/refund', //退款取消订单
  OrderDelete: WxApiRoot + 'order/delete', //删除订单
  OrderConfirm: WxApiRoot + 'order/confirm', //确认收货
  OrderGoods: WxApiRoot + 'order/goods', // 代评价商品信息
  OrderComment: WxApiRoot + 'order/comment', // 评价订单商品信息
  OrderCheck:WxApiRoot+ 'order/check',
  OrderEdit:WxApiRoot+ 'order/edit',
 //订单备注
 OrderMsg:WxApiRoot + 'order/orderMsg',
  AftersaleSubmit: WxApiRoot + 'aftersale/submit', // 提交售后申请
  AftersaleList: WxApiRoot + 'aftersale/list', // 售后列表
  AftersaleDetail: WxApiRoot + 'aftersale/detail', // 售后详情
  AftersaleRefundType: WxApiRoot + 'aftersale/getRefuntType',//获取退款原因
  AftersaleAmount: WxApiRoot + 'aftersale/preCheck',
  FeedbackAdd: WxApiRoot + 'feedback/submit', //添加反馈
  FootprintList: WxApiRoot + 'footprint/list', //足迹列表
  FootprintDelete: WxApiRoot + 'footprint/delete', //删除足迹

  GroupOnList: WxApiRoot + 'groupon/list', //团购列表
  GroupOnMy: WxApiRoot + 'groupon/my', //团购API-我的团购
  GroupOnDetail: WxApiRoot + 'groupon/detail', //团购API-详情
  GroupOnJoin: WxApiRoot + 'groupon/join', //团购API-详情

  CouponList: WxApiRoot + 'coupon/list', //优惠券列表
  CouponMyList: WxApiRoot + 'coupon/mylist', //我的优惠券列表
  CouponSelectList: WxApiRoot + 'coupon/selectlist', //当前订单可用优惠券列表
  CouponReceive: WxApiRoot + 'coupon/receive', //优惠券领取
  CouponExchange: WxApiRoot + 'coupon/exchange', //优惠券兑换
  CouponDouyinExchange: WxApiRoot + 'coupon/exchangeDouyin', //抖音优惠券兑换
  CouponPre: WxApiRoot + 'coupon/couponPre', //团购预售查询
  CouponReceiveList:WxApiRoot+'coupon/recevieList',//返回优惠券领取列表

  StorageUpload: WxApiRoot + 'storage/upload', //图片上传,

  UserIndex: WxApiRoot + 'user/index', //个人页面用户相关信息
  IssueList: WxApiRoot + 'issue/list', //帮助信息
  QrCodeCreate:WxApiRoot+'qrcode/create',//普通二维码生成
  QrStarCodeCreate:WxApiRoot+'qrcode/createstar',//专属二维码
  QrGoodsCodeCreate:WxApiRoot+'qrcode/createshare',//商品分享链接 会员和普通用于一致 在分享用户注册时区分

  DisCommission:WxApiRoot+'commission/detail',//分佣总表
  DisCommissionChildUser:WxApiRoot+'commission/childuser',
  DisCommissionDetail:WxApiRoot+'commission/detailList',//已支付订单明细
  DisCommissionWaitDetail:WxApiRoot+'commission/detailWaitPayList',//未支付订单明细
  DisCashoutList:WxApiRoot+'commission/cashoutlist',//提现明细
  DisCashoutApply:WxApiRoot+'commission/cashoutapply',//提现申请
  JoinApply:WxApiRoot+'commission/joinapply',//加入申请
  JoinApplyList:WxApiRoot+'commission/joinlist',//申请历史
  DisCommissionSign:WxApiRoot+ "commission/sign",//签名
  PetIndex:WxApiRoot+"pet/index",//获取宠物保险所有拼音
  PetBreed:WxApiRoot+"pet/breed",//获取宠物品类

  OrderBookGetShop:WxApiRoot+"orderbook/getShop",//根据经纬度获取门店 
  OrderCheckAddress:WxApiRoot+"orderbook/checkAddress",//收货地址校验
  OrderBookDefaultAddress:WxApiRoot+"address/default",//获取默认用户地址 
  getDefaultCityShop: WxApiRoot + 'address/getDefaultCityShop', //小程序默认系统地址

  ActivityOngoing:WxApiRoot+"assistance/ongoing",//当前存在的助力活动
  ActivityList:WxApiRoot+"assistance/list",//助力活动历史-我发起的
  ActivityParticipate:WxApiRoot+"assistance/participate",//助力活动历史-我参与的
  ActivityDetail:WxApiRoot+"assistance/detail",//助力活动明细
  ActivityCreate:WxApiRoot+"assistance/create",//创建助力活动

  CouponRegister:WxApiRoot+"coupon/register",//进入小程序优惠券
  OrderAppoint: WxApiRoot + 'orderbook/estimate', // POST  预约服务人员结果预估
  ServiceDetail: WxApiRoot + 'orderbook/detail', //服务详情 预约单明细
  ServiceOrderBook: WxApiRoot + 'orderbook/book', // 未预约的权益 重新预约
  GetAllCity:WxApiRoot + 'address/getAllCity', //获取系统城市
  // ReferrerRidInfo:WxApiRoot + 'commission/referrerRidInfo', //根据分享的rid查询信息
  GetDenPhone:WxApiRoot + 'auth/getDenPhone', //获取手机号
  RegisterReferrer:WxApiRoot + 'auth/registerReferrer', //引荐人注册提交
  addClue:WxApiRoot + 'customerClue/addClue', //信息收集
  addClueMs:WxApiRoot + 'customerClue/addClueMs', //民生银行信息收集
  addClueRecommender:WxApiRoot + 'customerClue/checkRecommend',//推荐人信息
  getServantList:WxApiRoot + 'companyServant/getServantList', //保姆列表
  servantResume:WxApiRoot + 'companyServant/servantResume', //查询保姆简历详情
  getMemberInfo:WxApiRoot + 'member/getMemberInfo', //会员中心
  getMemberBuyRecord:WxApiRoot + 'member/getMemberBuyRecord', //会员购买记录
  exchangeMemberCoupon:WxApiRoot + 'member/exchangeMemberCoupon', //兑换会员
  memberSubmit:WxApiRoot + 'member/submit', //生成订单
  prepayMember:WxApiRoot + 'member/prepayMember', //POST 准备购买会员，提交给微信生成订单
  payMemberNotify:WxApiRoot + 'member/payMember-notify', //微信支付通知 POST

  
  RefBcodeInfo:WxApiRoot + 'referee/refBcodeInfo', //根据输入的引荐码查询信息


  ReferrerRidInfo:WxApiRoot + 'referee/rInfo', //根据分享的rid查询信息
  RefereeIndex:WxApiRoot+'referee/index',//引荐人首页显示内容查询
  RefereePoster:WxApiRoot+'referee/poster',//引荐人海报
  RefereeOrderList:WxApiRoot+'referee/orderList',//引荐人订单列表
  RefereeMyTeamInfo:WxApiRoot+'referee/myteamInfo',//引荐人的团队汇总信息
  RefereeMyTeamList:WxApiRoot+'referee/myteam',//引荐人的团队
  RefereeMyBlance:WxApiRoot+'referee/myblance',//我的收益
  RefereeCashoutList:WxApiRoot+'referee/cashoutList',//我的提现记录
  RefereeCashoutApply:WxApiRoot+'referee/cashout',//提现申请
  RefereeCashoutAuthCheck:WxApiRoot+'referee/authCheck',//实名认证检查
  RefereeCashoutAuth:WxApiRoot+'referee/auth',//实名认证
  
  RefereeMemberPoster:WxApiRoot+'qrcode/createMemberPoster',//生成会员卡赠送海报
  RefereeMemberCardReceive:WxApiRoot+'member/cardReceive',//会员卡领取 

  GetMemberAd:WxApiRoot+'ad/getMemberAd',//会员活动广告接口

  EveryDayStock:WxApiRoot+'/orderbook/everyDayStock',//单次卡库存
  checkRecommend:WxApiRoot+'order/checkRecommend',//推荐码
	CPQrCode:WxApiRoot+'cp/qrCode',//获取加企微的活码
	
  getTradeOrderList:WxApiRoot +'customerRerutnApi/getTradeOrderList',//工单详情，传bookDetailId
  getConsoultType:WxApiRoot +'customerRerutnApi/getConsoultType',//企业回访数据
  saveVisitBatch:WxApiRoot +'customerRerutnApi/saveVisitBatch',//提交企业回访数据
	getGoodsComment:WxApiRoot +'goods/getGoodsComment',//全部评价
    everyDayTime:WxApiRoot +'orderbook/everyDayTime',//预约时间
    ServiceOrderBookV2: WxApiRoot +'orderbook/bookV2',//预约服务
    OrderBookCancel:WxApiRoot + 'orderbook/cancelBook',//预约取消
	gdUrl:'https://restapi.amap.com/v3/geocode/regeo',
	gdCityUrl:'https://restapi.amap.com/v3/geocode/geo',
	gdSearchUrl:'https://restapi.amap.com/v3/assistant/inputtips',
	gdKey:'ad9076a2b3efffaf7ff54c2ece9e92c1',
	getDiffList:WxApiRoot +'orderDiff/getDiffList',//GET 补差订单列表
	getDiffDetail:WxApiRoot +'orderDiff/getDiffDetail',//GET 获取补差订单详情
	prepayDiff:WxApiRoot +'orderDiff/prepayDiff',//GET 准备购买会员，提交给微信生成订单
	payDiffOrderNotify:WxApiRoot +'orderDiff/payDiffOrderNotify',//GET 微信支付成功通知
	addCusAddress:WxApiRoot +'order/addCusAddress',//POST 添加客户地址
	getCusAddressList:WxApiRoot +'order/getCusAddressList',//GET 获取客户地址列表
	getOrderInfo:WxApiRoot +'order/getOrderInfo',//获取订单信息
	customerBook:WxApiRoot +'order/customerBook',//	客户预约
	getBooked:WxApiRoot + 'orderbook/getBooked',
	

};
