var util = require('../../../utils/util.js');
var api = require('../../../config/api.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    couponName: '',
    goodsList: [],
    couponId: 0,
    addressInfo: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.id) {
      this.setData({
        couponId: options.id
      })
    }
    var addressInfo = wx.getStorageSync("addressInfo");
    if (addressInfo) {
      this.setData({
        addressInfo: addressInfo
      })
      this.getGoodsList();
    }
  },

  getGoodsList: function () {
    var that = this;
    util.request(api.GoodsCoupon, {
        id: that.data.couponId,
        // shopId: that.data.addressInfo.shopId,
        city: that.data.addressInfo.city
      })
      .then(function (res) {
        if (res.errno === 0) {
          that.setData({
            goodsList: res.data.list,
            couponName: res.data.couponName
          });
          if (res.data.list.length == 0)
            wx.navigateTo({ 
              url: '/pages/goods/goods?id=' + res.data.list[0].id,
            })
        } 
      });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})